kubernetesAffinity:
  # -- Whether to enable Kubernetes affinity rules to ensure pods are running on different nodes.
  enabled: true
  # -- Anti-affinity key.
  antiAffinityKey: cloud.google.com/gke-gpu
  # -- Anti-affinity value.
  antiAffinityValue: true
  # -- Topology key.
  topologyKey: kubernetes.io/hostname
  # -- Whether to run on masters. Run on masters should remain false unless there is a specific need, such as if you have been given a minimal dev cluster, with _only_ masters.
  runOnMasters: false
  # -- System toleration key name.
  systemTolerationKeyName: components.gke.io/gke-managed-components
  # -- System toleration value name.
  systemTolerationValueName: "true"

# -- Name of the image pull secret for accessing container images.
imagePullSecret: "nvcrimagepullsecret"

dgxcController:
  # -- Number of the DGX Admission Controller replicas to deploy.
  replicas: 1
  # -- Container image for the DGX Admission Controller.
  image: ""

webhooks:
  # -- Registered webhooks. Do not modify.
  registeredWebhooks:
    - name: dgxc-create-pvc-vwh
      enabled: false
    - name: dgxc-create-pvc-mwh
      enabled: false
    - name: dgxc-create-pod-mwh
      enabled: true
    - name: dgxc-create-nvsl-vwh
      enabled: false
    - name: dgxc-create-multi-namespace-pvc-mwh
      enabled: false

  # -- Pod mutating webhook configuration. Do not modify.
  podMutatingWebhook:
    customSettings:
      - name: modify-pod-rule
        addRdmaEnabled: true
        rdmaResourcePerGpu: 2
        networkAttachmentDefinition: network-operator/sriov-net
        rdmaResourceName: nvidia.com/mlnxnics
        addNcclVars: true
        csp: "gcp"

tolerations:
  customer:
    # -- Toleration key for customer workloads.
    key: "dedicated"
    # -- Toleration value for customer workloads.
    value: "user-workload"
  system:
    # -- Toleration key for system workloads.
    key: "components.gke.io/gke-managed-components"
    # -- Toleration value for system workloads.
    value: "true"

# -- Whether to enable integrations support. Do not modify.
enableIntegrationsSupport: false
# -- Whether to enable labeler. Do not modify.
enableLabeler: false
# -- Whether to enable Run:AI RBAC. Do not modify.
enableRunAIRbac: false
# -- Whether to enable network policies. Do not modify.
enableNetworkPolicies: false
# -- Whether to enable DGX CRBAC. Do not modify.
enableDGXCRbac: false
# -- Whether to enable DGX CA bootstrap. Do not modify.
enableDGXCAPIBootstrap: false
# -- Whether to enable service monitor. Do not modify.
enableServiceMonitor: false

cloudProviderSpec:
  # -- Specifies the cloud provider type.
  type: gcp

enabledComponents:
  # -- Whether to enable the DGX Admission Controller.
  dgxcAdmissionController: true
  # -- Whether to enable the DGX Run:AI Controller.
  dgxcRunaiController: false
  # -- Whether to enable the DGX Exporter.
  dgxcExporter: false